

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (inaki@blueleaf.cc)
-}

#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))

module GI.Wnck.Objects
    (     module GI.Wnck.Objects.ActionMenu       ,
    module GI.Wnck.Objects.Application      ,
    module GI.Wnck.Objects.ClassGroup       ,
    module GI.Wnck.Objects.ImageMenuItem    ,
    module GI.Wnck.Objects.Pager            ,
    module GI.Wnck.Objects.Screen           ,
    module GI.Wnck.Objects.Selector         ,
    module GI.Wnck.Objects.Tasklist         ,
    module GI.Wnck.Objects.Window           ,
    module GI.Wnck.Objects.Workspace        ,


    ) where

import GI.Wnck.Objects.ActionMenu
import GI.Wnck.Objects.Application
import GI.Wnck.Objects.ClassGroup
import GI.Wnck.Objects.ImageMenuItem
import GI.Wnck.Objects.Pager
import GI.Wnck.Objects.Screen
import GI.Wnck.Objects.Selector
import GI.Wnck.Objects.Tasklist
import GI.Wnck.Objects.Window
import GI.Wnck.Objects.Workspace

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL



