#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Wnck.Objects.Workspace where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Workspace = Workspace (ManagedPtr Workspace)
instance GObject Workspace where
class (GObject o, O.IsDescendantOf Workspace o) => IsWorkspace o
instance (GObject o, O.IsDescendantOf Workspace o) => IsWorkspace o
instance O.HasParentTypes Workspace
#if ENABLE_OVERLOADING
data WorkspaceNameChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WorkspaceActivateMethodInfo
#endif
#if ENABLE_OVERLOADING
data WorkspaceChangeNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data WorkspaceGetHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data WorkspaceGetLayoutColumnMethodInfo
#endif
#if ENABLE_OVERLOADING
data WorkspaceGetLayoutRowMethodInfo
#endif
#if ENABLE_OVERLOADING
data WorkspaceGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data WorkspaceGetNeighborMethodInfo
#endif
#if ENABLE_OVERLOADING
data WorkspaceGetNumberMethodInfo
#endif
#if ENABLE_OVERLOADING
data WorkspaceGetScreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data WorkspaceGetViewportXMethodInfo
#endif
#if ENABLE_OVERLOADING
data WorkspaceGetViewportYMethodInfo
#endif
#if ENABLE_OVERLOADING
data WorkspaceGetWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data WorkspaceIsVirtualMethodInfo
#endif
